# Event Portal Package - Auth Password

Provides authentication to the Event Portal app via a username (email, colleague ID) and password.

## Installation

Add our Composer repository to your `composer.json`

```json
{
  "repositories": [
      {
          "type": "composer",
          "url": "https://composer.drp.digital"
      }
  ],
}
```

You can install the package via composer:

```bash
composer require event-portal/auth-password
```

If you're using fields other than `email` and `password`, publish the config file to change them:

```bash
php artisan vendor:publish
```

You'll need to run database migrations to add the fields to the users table:

```bash
php artisan migrate
```

And add a user with an email address and password to log in.

## Usage

The frontend will need to use the following routes:
 - `login.index` for the login form
 - `login.submit` to submit the form
 - `logout.submit` to log out
 
 - `create-password.index` to display the page where the user can create their password (Inertia currently looking for a page called CreatePassword)

### Testing
Testing has been setup, take a look at the `TestCase` to see how it is setup and if you need anything setup for to do it in here.

- Create password tests exist.

