<?php

namespace EventPortal\AuthPassword\Http\Controllers;

use EventPortal\AuthPassword\Rules\NovoRule;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\ResetsPasswords;
use Inertia\Inertia;
use Inertia\Response;

class ResetPasswordController extends Controller
{
    use ResetsPasswords;

    public function showResetForm(): Response
    {
        $rules = collect(config('auth-password.validation.password'))->reject(function ($rule) {
            return gettype($rule) === 'string';
        })->map(function (NovoRule $rule) {
            return [
                'label' => $rule->frontEndLabel(),
                'validation' => $rule->frontEndValidation(),
            ];
        })->values();

        return Inertia::render('ResetPassword/Index', [
            'email' => request()->email,
            'token' => request()->token,
            'rules' => $rules,
        ]);
    }

    protected function rules(): array
    {
        return config('auth-password.validation.password');
    }
}
